--- old/usr/src/uts/common/inet/udp/udp_tunables.c	sam. juil. 16 15:15:03 2016
+++ new/usr/src/uts/common/inet/udp/udp_tunables.c	sam. juil. 16 15:15:03 2016
@@ -96,67 +96,67 @@
 	/* tunable - 0 */
 	{ "_wroff_extra", MOD_PROTO_UDP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 256, 32}, {32} },
+	    {{0, 256, 32}}, {32} },
 
 	{ "_ipv4_ttl", MOD_PROTO_UDP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, 255, 255}, {255} },
+	    {{1, 255, 255}}, {255} },
 
 	{ "_ipv6_hoplimit", MOD_PROTO_UDP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, IPV6_MAX_HOPS, IPV6_DEFAULT_HOPS}, {IPV6_DEFAULT_HOPS} },
+	    {{0, IPV6_MAX_HOPS, IPV6_DEFAULT_HOPS}}, {IPV6_DEFAULT_HOPS} },
 
 	{ "smallest_nonpriv_port", MOD_PROTO_UDP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1024, (32 * 1024), 1024}, {1024} },
+	    {{1024, (32 * 1024), 1024}}, {1024} },
 
 	{ "_do_checksum", MOD_PROTO_UDP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_TRUE}, {B_TRUE} },
+	    {.mpi_bval = B_TRUE}, {B_TRUE} },
 
 	{ "smallest_anon_port", MOD_PROTO_UDP,
 	    udp_smallest_anon_set, mod_get_uint32,
-	    {1024, ULP_MAX_PORT, (32 * 1024)}, {(32 * 1024)} },
+	    {{1024, ULP_MAX_PORT, (32 * 1024)}}, {(32 * 1024)} },
 
 	{ "largest_anon_port", MOD_PROTO_UDP,
 	    udp_largest_anon_set, mod_get_uint32,
-	    {1024, ULP_MAX_PORT, ULP_MAX_PORT}, {ULP_MAX_PORT} },
+	    {{1024, ULP_MAX_PORT, ULP_MAX_PORT}}, {ULP_MAX_PORT} },
 
 	{ "send_buf", MOD_PROTO_UDP,
 	    udp_set_buf_prop, udp_get_buf_prop,
-	    {UDP_XMIT_LOWATER, ULP_MAX_BUF, UDP_XMIT_HIWATER},
+	    {{UDP_XMIT_LOWATER, ULP_MAX_BUF, UDP_XMIT_HIWATER}},
 	    {UDP_XMIT_HIWATER} },
 
 	{ "_xmit_lowat", MOD_PROTO_UDP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, ULP_MAX_BUF, UDP_XMIT_LOWATER},
+	    {{0, ULP_MAX_BUF, UDP_XMIT_LOWATER}},
 	    {UDP_XMIT_LOWATER} },
 
 	{ "recv_buf", MOD_PROTO_UDP,
 	    udp_set_buf_prop, udp_get_buf_prop,
-	    {UDP_RECV_LOWATER, ULP_MAX_BUF, UDP_RECV_HIWATER},
+	    {{UDP_RECV_LOWATER, ULP_MAX_BUF, UDP_RECV_HIWATER}},
 	    {UDP_RECV_HIWATER} },
 
 	/* tunable - 10 */
 	{ "max_buf", MOD_PROTO_UDP,
 	    mod_set_uint32, mod_get_uint32,
-	    {65536, ULP_MAX_BUF, 2*1024*1024}, {2*1024*1024} },
+	    {{65536, ULP_MAX_BUF, 2*1024*1024}}, {2*1024*1024} },
 
 	{ "_pmtu_discovery", MOD_PROTO_UDP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_FALSE}, {B_FALSE} },
+	    {.mpi_bval = B_FALSE}, {B_FALSE} },
 
 	{ "_sendto_ignerr", MOD_PROTO_UDP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_FALSE}, {B_FALSE} },
+	    {.mpi_bval = B_FALSE}, {B_FALSE} },
 
 	{ "extra_priv_ports", MOD_PROTO_UDP,
 	    mod_set_extra_privports, mod_get_extra_privports,
-	    {1, ULP_MAX_PORT, 0}, {0} },
+	    {{1, ULP_MAX_PORT, 0}}, {0} },
 
-	{ "?", MOD_PROTO_UDP, NULL, mod_get_allprop, {0}, {0} },
+	{ "?", MOD_PROTO_UDP, NULL, mod_get_allprop, {{0,0,0}}, {0} },
 
-	{ NULL, 0, NULL, NULL, {0}, {0} }
+	{ NULL, 0, NULL, NULL, {{0,0,0}}, {0} }
 };
 
 int udp_propinfo_count = A_CNT(udp_propinfo_tbl);
